## r-cran-rcdk 3.5.0+dfsg

=== DESCRIPTION ===
Package: rcdk
Version: 3.5.0
Date: 2020-03-06
Title: Interface to the 'CDK' Libraries
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut',"cph"), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('Emma', 'Schymanski', role=c('ctb'), email='schymane@gmail.com'))
Depends: rcdklibs (>= 2.3)
Imports: fingerprint, rJava, methods, png, iterators, itertools
Suggests: xtable, RUnit, knitr, rmarkdown
SystemRequirements: Java JDK 8 or higher
License: LGPL
LazyLoad: yes
LazyData: true
Description: Allows the user to access functionality in the
    'CDK', a Java framework for chemoinformatics. This allows the user to load
    molecules, evaluate fingerprints, calculate molecular descriptors and so on.
    In addition, the 'CDK' API allows the user to view structures in 2D.
RoxygenNote: 7.0.2
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-03-09 16:43:46 UTC; zach
Author: Rajarshi Guha [aut, cph],
  Zachary Charlop-Powers [cre],
  Emma Schymanski [ctb]
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2020-03-11 06:30:05 UTC

=== debian/changelog ===
r-cran-rcdk (3.5.0+dfsg-3) unstable; urgency=high

  * Depends: libcdkr-java
    Closes: #982111
  * Ignore one failing test

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2021 17:48:03 +0100

r-cran-rcdk (3.5.0+dfsg-2) unstable; urgency=medium

  * Fix CLASSPATH
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2020 17:53:37 +0100

r-cran-rcdk (3.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #956838)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 11:45:40 +0100

=== debian/control ===
Source: r-cran-rcdk
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcdklibs,
               r-cran-fingerprint,
               r-cran-rjava,
               r-cran-png,
               r-cran-iterators,
               r-cran-itertools,
               libcdkr-java
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdk.git
Homepage: https://cran.r-project.org/package=rcdk
Rules-Requires-Root: no

Package: r-cran-rcdk
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libcdkr-java
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'CDK' libraries
 Allows the user to access functionality in the
 'CDK', a Java framework for chemoinformatics. This allows the user to load
 molecules, evaluate fingerprints, calculate molecular descriptors and so on.
 In addition, the 'CDK' API allows the user to view structures in 2D.

## r-cran-rcdk 3.6.0%2Bdfsg

=== inst/unitTests/Makefile ===
TOP=../..
PKG=${shell cd ${TOP};pwd}
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --slave < ${SUITE}

## r-cran-rcdk 3.6.0+dfsg

=== DESCRIPTION ===
Package: rcdk
Version: 3.6.0
Date: 2021-10-14
Title: Interface to the 'CDK' Libraries
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut',"cph"), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('Emma', 'Schymanski', role=c('ctb'), email='schymane@gmail.com'))
Depends: rcdklibs (>= 2.3)
Imports: fingerprint, rJava, methods, png, iterators, itertools
Suggests: xtable, RUnit, knitr, rmarkdown, devtools
SystemRequirements: Java JDK 8 or higher
License: LGPL
LazyLoad: yes
LazyData: true
Description: Allows the user to access functionality in the
    'CDK', a Java framework for chemoinformatics. This allows the user to load
    molecules, evaluate fingerprints, calculate molecular descriptors and so on.
    In addition, the 'CDK' API allows the user to view structures in 2D.
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-10-15 02:44:26 UTC; zcharlop-powers
Author: Rajarshi Guha [aut, cph],
  Zachary Charlop-Powers [cre],
  Emma Schymanski [ctb]
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2021-10-17 20:40:02 UTC

=== debian/changelog ===
r-cran-rcdk (3.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 19:52:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-iterators,
                r-cran-itertools,
                libcdkr-java
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdk.git
 Homepage: https://cran.r-project.org/package=rcdk

## r-cran-rcdk 3.7.0+dfsg

=== DESCRIPTION ===
Package: rcdk
Version: 3.7.0
Date: 2022-09-21
Title: Interface to the 'CDK' Libraries
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut',"cph"), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('Emma', 'Schymanski', role=c('ctb'), email='schymane@gmail.com'))
Depends: rcdklibs (>= 2.8)
Imports: fingerprint, rJava, methods, png, iterators, itertools
Suggests: xtable, RUnit, knitr, rmarkdown, devtools
SystemRequirements: Java JDK 8 or higher
License: LGPL
LazyLoad: yes
LazyData: true
Description: Allows the user to access functionality in the
    'CDK', a Java framework for chemoinformatics. This allows the user to load
    molecules, evaluate fingerprints, calculate molecular descriptors and so on.
    In addition, the 'CDK' API allows the user to view structures in 2D.
RoxygenNote: 7.2.1
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-09-25 15:00:10 UTC; zcharlop-powers
Author: Rajarshi Guha [aut, cph],
  Zachary Charlop-Powers [cre],
  Emma Schymanski [ctb]
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-26 09:10:02 UTC

=== debian/changelog ===
r-cran-rcdk (3.7.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.7.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Run dh-update-R
  * Drop ignore_failing_test.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Sep 2022 12:43:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: r-cran-rcdk
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdk
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdk.git
+Homepage: https://cran.r-project.org/package=rcdk
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcdklibs,
+               r-cran-rcdklibs (>= 2.8),
                r-cran-fingerprint,
                r-cran-rjava,
                r-cran-png,
                r-cran-iterators,
                r-cran-itertools,
                libcdkr-java
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdk
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdk.git
-Homepage: https://cran.r-project.org/package=rcdk
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcdk
 Architecture: all

## r-cran-rcdk 3.8.1+dfsg

=== DESCRIPTION ===
Package: rcdk
Version: 3.8.1
Date: 2023-06-25
Title: Interface to the 'CDK' Libraries
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut',"cph"), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('Emma', 'Schymanski', role=c('ctb'), email='schymane@gmail.com'))
Depends: rcdklibs (>= 2.8)
Imports: fingerprint, rJava, methods, png, iterators, itertools
Suggests: xtable, RUnit, knitr, rmarkdown, devtools
License: LGPL
LazyLoad: yes
LazyData: true
SystemRequirements: Java (>= 8)
Description: Allows the user to access functionality in the
    'CDK', a Java framework for chemoinformatics. This allows the user to load
    molecules, evaluate fingerprints, calculate molecular descriptors and so on.
    In addition, the 'CDK' API allows the user to view structures in 2D.
RoxygenNote: 7.2.3
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-06-29 18:44:13 UTC; zcpowers
Author: Rajarshi Guha [aut, cph],
  Zachary Charlop-Powers [cre],
  Emma Schymanski [ctb]
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2023-07-01 22:20:02 UTC

=== debian/changelog ===
r-cran-rcdk (3.8.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Tests: ignore internal name change in CDK 2.10. Closes: #1114465

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Sep 2025 17:46:50 +0100

r-cran-rcdk (3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Changes by dh-update-R

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 14:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdk.git
 Homepage: https://cran.r-project.org/package=rcdk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -17,6 +17,7 @@
                r-cran-png,
                r-cran-iterators,
                r-cran-itertools,
+# <dh-update-R>do not delete this</dh-update-R>
                libcdkr-java
 Testsuite: autopkgtest-pkg-r
 
@@ -24,7 +25,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          libcdkr-java
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-xtable,
        r-cran-runit,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-devtools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/rcdk_([-\d.]*)\.tar\.gz
